RubyGems Navigation menu

rubocop 0.52.1

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.22.1 - October 04, 2021 (507 KB)
  2. 1.22.0 - September 29, 2021 (506 KB)
  3. 1.21.0 - September 13, 2021 (498 KB)
  4. 1.20.0 - August 26, 2021 (496 KB)
  5. 1.19.1 - August 19, 2021 (494 KB)
  6. 0.52.1 - December 27, 2017 (363 KB)
Show all versions (191 total)

Runtime Dependencies (6):

  • parallel ~> 1.10
  • parser < 3.0, >= 2.4.0.2
  • powerpack ~> 0.1
  • rainbow < 4.0, >= 2.2.2
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Development Dependencies (1):

  • bundler ~> 1.3
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    4ec659892e86c64ec25e7a543b4a717f9ee6e9450bdb9541e0d3492b43ce4234

    Total downloads 186,101,060

    For this version 5,003,277

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.1.0

    Links: